<?php
///////////////////////////////////////////////////////////////////////////

require_once 'lib/vod/vod_list_screen.php';

class RodnoeVodListScreen extends VodListScreen
{
    public static function get_media_url_str($page_name, $arg = null)
    {
        $arr['screen_id'] = self::ID;
        $arr['page_name'] = $page_name;
        if ($page_name === 'search')
            $arr['pattern'] = $arg;
        else if ($page_name === 'genres')
            $arr['genre_id'] = $arg;
        return MediaURL::encode($arr);
    }

    ///////////////////////////////////////////////////////////////////////

    private $session;

    public function __construct($session, Vod $vod)
    {
        parent::__construct($vod);

        $this->session = $session;
    }

    ///////////////////////////////////////////////////////////////////////

    private function get_page_for_ndx($ndx, $page_size)
    {
        return intval($ndx / $page_size) + 1;
    }

    protected function get_short_movie_range(MediaURL $media_url, $from_ndx,
        &$plugin_cookies)
    {
        hd_print("####### get_short_movie_range");
        $nums = 24;
        $page = $this->get_page_for_ndx($from_ndx, $nums);

        if ($media_url->page_name === 'last')
            $doc = $this->session->api_get_list_movie($page, $nums, 0, null, null, null, '>2013', null);
        else if ($media_url->page_name === 'best')
            $doc = $this->session->api_get_list_movie($page, $nums, 0, null, null, null, '>2013', null);
        else if ($media_url->page_name === 'search')
            $doc = $this->session->api_get_list_movie($page, $nums, 0, null, null, $media_url->pattern, null, null);
        else if ($media_url->page_name === 'genres')
            $doc = $this->session->api_get_list_movie($page, $nums, 0, $media_url->genre_id, null, null, null, null);
        else
            throw new Exception('Vod list: invalid page name.');

        $cnt = $doc->options->count;
        if (empty($cnt))
            throw new Exception('Invalid data returned from server');
        $total = intval($cnt);
        if ($total === 0)
            return new ShortMovieRange(0, 0);

        $from_ndx = (intval($doc->options->page) - 1) * $nums;

        $movies = array();
        foreach ($doc->groups->item as $row)
        {
            $icon_url = strval($row->pic); // 'http://teleprom.tv/poster/1'; // . Rodnoe::$SERVER . $row->poster;
            $movies[] = new ShortMovie(
                intval($row->id), strval($row->title), $icon_url);
        }

        return new ShortMovieRange($from_ndx, $total, $movies);
    }
}

///////////////////////////////////////////////////////////////////////////
?>
